extends Node

var player_number = 1


# UI Stuff
var loot_panel_position = Vector2(976, 448)

var holding_item = null;
var item_offset = Vector2(0, 0);

enum EquipmentSlotType {
	SLOT_DEFAULT = 0,
	SLOT_HELMET_LIGHT,
	SLOT_ARMOR_LIGHT,
	SLOT_GLOVES_LIGHT,
	SLOT_LEGS_LIGHT,
	SLOT_FEET_LIGHT,
	SLOT_HELMET_MEDIUM,
	SLOT_ARMOR_MEDIUM,
	SLOT_GLOVES_MEDIUM,
	SLOT_LEGS_MEDIUM,
	SLOT_FEET_MEDIUM,
	SLOT_HELMET_HEAVY,
	SLOT_ARMOR_HEAVY,
	SLOT_GLOVES_HEAVY,
	SLOT_LEGS_HEAVY,
	SLOT_FEET_HEAVY,
	SLOT_NECK_HEAVY,
	SLOT_RING,
	SLOT_RING2,
	SLOT_WEAPON_,
	SLOT_SHIELD
}
enum ItemRarity {
	NORMAL = 0,
	MAGIC,
	RARE,
	LEGENDARY
}
const RarityColor = {
	ItemRarity.NORMAL: {
		"background": "#808080",
		"border": "#cccccc"
	},
	ItemRarity.MAGIC: {
		"background": "#1b51d1",
		"border": "#2000ff"
	},
	ItemRarity.RARE: {
		"background": "#ffdf1d",
		"border": "#CCB217"
	},
	ItemRarity.LEGENDARY: {
		"background": "#ec5300",
		"border": "#BC4200"
	}
}

# Stats
enum {ASSAULT_POWER = 0,
	SUPPORT_POWER,
	MAX_HEALTH,
	MAX_SHIELD,
	STRIKETHROUGH,
	CRIT_CHANCE,
	CRIT_SEVERITY,
	MULTI_CHANCE,
	MULTI_SEVERITY,
	VIGOR,
	ARMOR_PIERCE,
	PHYSICAL_MITIGATION,
	TECHNOLOGY_MITIGATION,
	MAGIC_MITIGATION,
	GLANCE_MITIGATION,
	GLANCE_CHANCE,
	CRITICAL_MITIGATION,
	DEFLECT_CHANCE,
	DEFLECT_CRIT_CHANCE,
	SHIELD_MITIGATION,
	SHIELD_RATE,
	SHIELD_REBOOT_TIME,
	TICK_TIME,
	CD_REDUCTION,
	LIFESTEAL,
	FOCUS_POOL,
	FOCUS_RECOV_RATE,
	FOCUS_COST_REDUCTION,
	REFLECT_CHANCE,
	REFLECT_DAMAGE,
	INTENSITY,
	STATS_MAX
}

var STATS_TO_TEXT = {ASSAULT_POWER: "Assault Power",
	SUPPORT_POWER: "Suppor Power",
	MAX_HEALTH: "Max Health",
	MAX_SHIELD: "Max Shield",
	STRIKETHROUGH: "StrikeThrough",
	CRIT_CHANCE: "Critical Chance",
	CRIT_SEVERITY: "Critical Severity",
	MULTI_CHANCE: "Multi Hit Chance",
	MULTI_SEVERITY: "Multi Hit Severity",
	VIGOR: "Vigor",
	ARMOR_PIERCE: "Armor Pierce",
	PHYSICAL_MITIGATION: "Physical Mitigation",
	TECHNOLOGY_MITIGATION: "Technology Mitigation",
	MAGIC_MITIGATION: "Magic Mitigation",
	GLANCE_MITIGATION: "Glance Mitigation",
	GLANCE_CHANCE: "Glance Chance",
	CRITICAL_MITIGATION: "Critical Mitigation",
	DEFLECT_CHANCE: "Deflect Chance",
	DEFLECT_CRIT_CHANCE: "Deflect Critical Chance",
	SHIELD_MITIGATION: "Shield Mitigation",
	SHIELD_RATE: "Shield Rate",
	SHIELD_REBOOT_TIME: "Shield Reboot Time",
	TICK_TIME: "Tick Time",
	CD_REDUCTION: "CD Reduction",
	LIFESTEAL: "LifeSteal",
	FOCUS_POOL: "Focus Pool",
	FOCUS_RECOV_RATE: "Focus Recovery Rate",
	FOCUS_COST_REDUCTION: "Focus Cost Reduction",
	REFLECT_CHANCE: "Reflect Chance",
	REFLECT_DAMAGE: "Reflect Damage",
	INTENSITY: "Intensity"
}
	
var STATS_ON_STUFF = {ASSAULT_POWER: 5,
	SUPPORT_POWER: 5,
	MAX_HEALTH: 50,
	MAX_SHIELD: 25,
	STRIKETHROUGH: 2,
	CRIT_CHANCE: 5,
	CRIT_SEVERITY: 10,
	MULTI_CHANCE: 5,
	MULTI_SEVERITY: 10,
	VIGOR: 2,
	ARMOR_PIERCE: 2,
	PHYSICAL_MITIGATION: 5,
	TECHNOLOGY_MITIGATION: 5,
	MAGIC_MITIGATION: 5,
	GLANCE_MITIGATION: 5,
	GLANCE_CHANCE: 2,
	CRITICAL_MITIGATION: 2,
	DEFLECT_CHANCE: 2,
	DEFLECT_CRIT_CHANCE: 2,
	SHIELD_MITIGATION: 5,
	SHIELD_RATE: 5,
	SHIELD_REBOOT_TIME: 1,
	TICK_TIME: 1,
	CD_REDUCTION: 1,
	LIFESTEAL: 2,
	FOCUS_POOL: 20,
	FOCUS_RECOV_RATE: 1,
	FOCUS_COST_REDUCTION: 2,
	REFLECT_CHANCE: 2,
	REFLECT_DAMAGE: 5,
	INTENSITY: 1
}

const RarityBoost = {
	ItemRarity.NORMAL: 1,
	ItemRarity.MAGIC: 1.5,
	ItemRarity.RARE: 2,
	ItemRarity.LEGENDARY: 3
}

